#!/usr/bin/perl -w

my $os = `uname`;
my $ifname = "";
my $ipaddr = "";
chomp($os);
if ($os eq "FreeBSD") {
	$ifname = '^([a-z0]+):\s';
	$ipaddr = 'inet ([0-9.]+)';
} elsif ($os eq "Linux") {
	$ifname = '^([a-z0]+)\s';
	$ipaddr = 'inet addr:([0-9.]+)';
} elsif ($os eq "SunOS") {
	$ifname = '^([a-z0]+):\s';
	$ipaddr = 'inet ([0-9.]+)';
} else {
	die "Support for $os not implemented yet.\n"
}


my $list = "";
foreach (`ifconfig -a`) {
	if (/$ifname/) {
		$list = $1;
	} elsif (/$ipaddr/) {
		print "$list $1\n";
	}
}

