#ifndef URL_DEBUG_HEADER
#define URL_DEBUG_HEADER

/*
 *	URL Daemon : Project for Winter 2002
 *	Designed by 
 *		Sumit Chawla (sumit@cs.pdx.edu) 
 *	under guidance of
 *		Professor Jim Binkley (jrb@cs.pdx.edu)
 *
 *	File: url_debug.h
 *
 *	Provides macros for debugging urld.
**/
#ifndef WIN32
#include <syslog.h>
#define LOG_WARN	LOG_WARNING
#else
#define LOG_INFO	EVENTLOG_INFORMATION_TYPE
#define LOG_WARN	EVENTLOG_WARNING_TYPE
#define LOG_ERR		EVENTLOG_ERROR_TYPE

#include "urld_msgs.h"
#endif

int uDebug(unsigned short, char *format, ...);

#endif /* URL_DEBUG_HEADER */
