import javax.swing.JTextArea;
import java.io.*;


class UDebug {
	JTextArea jta;
	PrintStream ps;
	boolean shutup = false;
	
	UDebug(JTextArea j)
	{
		jta = j;
		ps = null;
	}
	
	UDebug(PrintStream p)
	{
		ps = p;
		jta = null;
	}
	
	void shh()
	{
		shutup = true;
	}
	
	void verbose()
	{
		shutup = false;
	}
	
	synchronized void print(String s)
	{
		if (shutup) return;
		if (jta != null) {
			jta.append(s + "\n");
		} else {
			ps.println(s);
		}
	}
}
